
const rimraf = require('rimraf');
const path = require('path');
const colors = require('chalk');
const easyfile = require('easyfile');
const utils = require('../utils');

/**
 *
 * @param sourcePath
 * @param targetPath
 * @param cleanTargetPath // 是否先删除目标目录
 */
module.exports = (sourcePath, targetPath, cleanTargetPath = false) => {
  if (!utils.fsExists(sourcePath)) {
    console.error(`未找到源文件目录: ${sourcePath}`);
    process.exit();
  }
  const copy = () => {
    easyfile.copy(sourcePath, targetPath);
    console.log(colors.green(`${sourcePath} 已经拷贝到 ${targetPath}`));
  };
  if (cleanTargetPath === 'true') {
    rimraf(targetPath, err => {
      if (err) {
        throw err;
      }
      copy();
    });
  } else {
    copy();
  }
};