#!/usr/bin/env node
'use strict';
const path = require('path');
const userHome = require('user-home');
const globby = require('globby');
const utils = require('../utils');
const chalk = require('chalk');
const { prompt } = require('inquirer');
const spawn = require('cross-spawn');

const sinxBaseDir = utils.isWin32 ? path.resolve('d:\\', 'Sinx') : path.resolve(userHome, 'Sinx');
const projectPath = path.resolve(sinxBaseDir, 'project');

const question = [
  {
    type: 'list',
    name: 'listProject',
    message: '找到以下项目:',
    paginated: true, // 模板列表过多时可打开分页显示
    choices () {
      return globby.sync(['*'], { cwd: projectPath });
    }
  },
  {
    type: 'list',
    name: 'operation',
    message: '要执行什么操作?',
    choices() {
      return [
        'noop',
        'start',
        'build',
      ]
    }
  }
];
module.exports = () => {
  return prompt(question).then(({ listProject, operation }) => {
    if (operation !== 'noop') {
      spawn('sinx', [operation], {stdio: 'inherit', cwd: path.resolve(projectPath, listProject)})
    }
  });
};