#!/usr/bin/env node
'use strict';
const spawn = require('cross-spawn');
const paths = require('../config/paths');
const path = require('path');
const utils = require('../utils');
const cwd = process.cwd();
const build = require('./build');
const release = require('../dev-scripts/dev-utils/release');

module.exports = async () => {
  const appPaths = paths.appPath(cwd);

  if (utils.fsExists(appPaths.appPackageJson)) {
    // 先 build
    await build();

    // package.json里可以追加打包文件
    const json = require(appPaths.appPackageJson);

    console.log('开始执行 release 任务');
    console.log('package.json 里 releaseFiles 字段，可以追加打包文件。');

    release(json.releaseFiles);


  } else {
    console.error(`当前项目目录下缺少 package.json 文件 `)
  }
};