'use strict';
/* eslint no-console: 0 */
process.env.NODE_ENV = 'production';


process.on('unhandledRejection', err => {
  throw err;
});

const colors = require('chalk');
const rimraf = require('rimraf');
const path = require('path');
const easyfile = require('easyfile');
const paths = require('../config/paths');

const ora = require('ora');

const createWebpackCompiler = require('./dev-utils/create-webpack-compiler');

function build(type = 'web', appPaths) {
  const webpackConfigProd = require('./webpack.config/' + type + '/prod.js');
  const compiler = createWebpackCompiler(webpackConfigProd);

  return new Promise((resolve, reject) => {
    const spinner = ora('正在 build - ' + process.env.PROJECT_NAME);
    spinner.start();
    compiler.run(err => {
      if (err) {
        reject(err);
        throw err;
      }
      console.log('');
      console.log(colors.green(process.env.PROJECT_NAME + ' build complete.'));
      spinner.stop();
      /*const deployProjectPath = path.resolve(paths.deployPath, process.env.PROJECT_NAME);

      rimraf(deployProjectPath, err => {
        if (err) {
          throw err;
        }
        easyfile.copy(appPaths.appBuild, deployProjectPath);
        console.log(colors.white('打包文件已同步到deploy目录。'));
      });*/

      resolve();

    });
  });

}




module.exports = (type) => {
  const cwd = process.cwd();
  const appPaths = paths.appPath(cwd);
  return new Promise((resolve, reject) => {
    rimraf(appPaths.appBuild, err => {
      if (err) {
        reject(err);
        throw err;
      }
      return build(type, appPaths).then(() => {
        resolve();
      });
    });
  })
};
