const path = require('path');
const easyfile = require('easyfile');
const colors = require('chalk');
const utils = require('../../../utils');

const buildPath = path.resolve(process.cwd(), './build');

function copy(files) {
  files = files || [];
  files.forEach(file => {
    const _sourceFilePath = path.resolve(process.cwd(), file);
    const _fileName = path.parse(file);
    if (utils.fsExists(_sourceFilePath) && _fileName && _fileName.base) {
      const targetPath = `${buildPath}/${_fileName.base}`;
      console.log(`正在复制 ${_sourceFilePath} 到 ${targetPath}`);
      try {
        easyfile.copy(_sourceFilePath, targetPath);
      } catch (e) {
        console.error(colors.red('复制失败.'));
        console.error(e);
      }
    }
  });
  console.log(colors.green(process.env.PROJECT_NAME + ' copy complete.'));

}

module.exports = copy;