'use strict';
/* eslint no-console: 0 */
const path = require('path');
const colors = require('chalk');
const utils = require('../../utils');

/**
 * 使用本地 dev server配置
 */
module.exports = webpackServerConfig => {
  const UPDATE_FILE_NAME = 'webpack.server.config.update.js';
  const webpackConfigUpdateFile = path.join(process.cwd(), UPDATE_FILE_NAME);

  if (utils.fsExists(webpackConfigUpdateFile)) {
    console.log('');
    console.log(`检测到 ${webpackConfigUpdateFile}`);
    console.log('正在合并配置文件...');
    const updateConfig = require(webpackConfigUpdateFile);
    webpackServerConfig = {
      ...webpackServerConfig,
      ...updateConfig,
    };
  }
  return webpackServerConfig;
};
