const net = require('net');
const chalk = require('chalk');
const utils = require('../../utils');


function handleSolution(port) {
  const isWin = utils.isWin32;
  if (!isWin) {
    return chalk.yellow(`   # 看下是哪个PID占用的端口
   $ lsof -i :${port}
   # 杀进程
   $ kill -9 【pid】`);
  }

  return chalk.yellow(`   # 看下是哪个PID占用的端口
   $ netstat -anop tcp | find /i ":${port}" |  find "LISTENING"
   # 杀进程
   $ taskkill /F /pid 【pid】`);
}

/**
 *
 * @param port
 */
function portDetect(port) {
  return new Promise((resolve) => {
    const server = net.createServer().listen(port);

    server.on('listening', () => {
      server.close();
      resolve(true);
    });

    server.on('error', (e) => {
      if (e.code !== 'EADDRINUSE') {
        resolve(false);
      }

      const match = e.message.match(/listen EADDRINUSE(.*):(\d+)/);
      if (match && match[2]) {
        const port = match[2];
        console.log(chalk.yellow(
          `检测到当前端口号 ${chalk.red(port)} 已被占用, 尝试使用  ${chalk.red(parseInt(port, 10) + 1)} 端口...`
        ));
        /*console.log(chalk.red(
          `运行失败，检测到当前端口号 ${chalk.yellow(port)} 已被其他程序占用
修复建议：
  1. 切换到其他端口再试试
  2. 请按下面的方法关闭占用端口的程序
  ${handleSolution(port)}`
        ));*/
        resolve(false);
      }
      resolve(true);
    });
  });

}

module.exports = portDetect;