const nodeJsZip = require('../node-zip-lib');
const path = require('path');
const globby = require('globby');
const colors = require('chalk');

const buildPath = path.resolve(process.cwd(), './build');

function release(files) {
  files = files || [];
  const buildFiles = globby.sync(['*', '!*.html', '!*.zip'], { cwd: buildPath }).map((file) => {
    return buildPath + '/' + file;
  }).concat(globby.sync(files.map(file => path.resolve(process.cwd(), file))));

  console.log('需要打包的文件有：');

  buildFiles.forEach(file => {
    console.log(file);
  });

  console.log('开始打包...');

  nodeJsZip.zip(buildFiles, {
    name: 'release',
    dir: buildPath,
  }, (dir) => {
    console.log(colors.green(process.env.PROJECT_NAME + ' 打包完毕.'));
    console.log(colors.green('打包文件地址为: '+ dir));
  });
}

module.exports = release;