
const paths = require('../../../config/paths');
const cwd = process.cwd();
const appPath = paths.appPath(cwd);
const appNodeModules = appPath.appNodeModules;

const requireResolveNodeModules = (modulePath) => {
  return require.resolve(appNodeModules + '/' + modulePath);
};

const babelPresetEnv = requireResolveNodeModules('babel-preset-env');
const babelPresetRax = requireResolveNodeModules('babel-preset-rax');
const babelRaxHotLoader = requireResolveNodeModules('rax-hot-loader/babel');

module.exports = {
  presets: [babelPresetEnv, babelPresetRax],
  plugins: [babelRaxHotLoader]
};
