'use strict';

const paths = require('../../../config/paths');
const cwd = process.cwd();
const appPaths = paths.appPath(cwd);
const appNodeModules = appPaths.appNodeModules;

const requireNodeModules = (modulePath) => {
  return require(appNodeModules + '/' + modulePath);
};

const webpack = requireNodeModules('webpack');
const webpackConfigBase = require('./base');

const webpackConfigProd = Object.assign({}, webpackConfigBase);

webpackConfigProd.entry = {
  'index.bundle.min': [appPaths.appIndexJs]
};

webpackConfigProd.output.pathinfo = false;
webpackConfigProd.target = 'node';

webpackConfigProd.plugins.push(
  new webpack.optimize.UglifyJsPlugin({
    include: /\.min\.js$/,
    minimize: true,
    compress: {
      warnings: false
    }
  })
);

module.exports = webpackConfigProd;
