const path = require('path'); // eslint-disable-line
const paths = require('../../../config/paths');
const cwd = process.cwd();
const appPath = paths.appPath(cwd);
const srcPath = appPath.appSrc;
const address = require('address');
const qrcode = require('qrcode-terminal');
const webpackConfigBase = require('./base');
const options = require('../../dev-utils/options');
const appNodeModules = appPath.appNodeModules;

const requireNodeModules = (modulePath) => {
  return require(appNodeModules + '/' + modulePath);
};



const webpack = requireNodeModules('webpack');


const webpackConfigDev = Object.assign({}, webpackConfigBase);

const ipv4 = options.host();
const port = options.port();
const webUrl = 'http://' + ipv4 + ':' + port;

qrcode.generate(webUrl, { small: true });
console.log('Web: scan above QRCode ' + webUrl + ' or direct open in browser.\n');

webpackConfigDev.entry = {
  ...webpackConfigDev.entry,
};

webpackConfigDev.plugins = webpackConfigDev.plugins.concat(
  // new webpack.HotModuleReplacementPlugin(),
  new webpack.NamedModulesPlugin()
);
webpackConfigDev.devtool = '#cheap-module-source-map';


module.exports = webpackConfigDev; // eslint-disable-line
