'use strict';
const webpackConfigBase = require('./base');
const webpackConfigProd = Object.assign({}, webpackConfigBase);
const paths = require('../../../config/paths');
const cwd = process.cwd();
const appPath = paths.appPath(cwd);
const baseDir = appPath.appPath;
const webpack = require(baseDir + '/node_modules/webpack');
const OptimizeCssAssetsPlugin = require(baseDir + '/node_modules/optimize-css-assets-webpack-plugin');

webpackConfigProd.output.pathinfo = false;
webpackConfigProd.output.publicPath = '';

webpackConfigProd.plugins = webpackConfigProd.plugins.concat(
  new webpack.optimize.UglifyJsPlugin({
    compress: {
      unused: true,
      // drop_console: true,
      dead_code: true, // eslint-disable-line
      warnings: false
    },
    mangle: {
      except: ['_', '$', 'exports', 'require']
    },
    output: {
      ascii_only: true // eslint-disable-line
    },
    // verbose: true, // debug info
  }),
  new OptimizeCssAssetsPlugin({
    cssProcessor: require('cssnano'), // eslint-disable-line
    cssProcessorOptions: { discardComments: { removeAll: true }, zindex: false, reduceIdents: false },
    canPrint: true
  })
);
module.exports = webpackConfigProd; // eslint-disable-line